Bug 990800 - SELinux is preventing /usr/lib/nspluginwrapper/plugin-config from read, write access on the file /run/aliceDaemon.pid.
SELinux is preventing /usr/lib/nspluginwrapper/plugin-config from read, write...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:fa4ac36fe578689c25a46de8783...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-31 23:31 EDT by Sumit Choudhary
Modified: 2013-10-25 05:38 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-25 05:38:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sumit Choudhary 2013-07-31 23:31:48 EDT
Description of problem:
SELinux is preventing /usr/lib/nspluginwrapper/plugin-config from read, write access on the file /run/aliceDaemon.pid.

*****  Plugin leaks (86.2 confidence) suggests  ******************************

If you want to ignore plugin-config trying to read write access the aliceDaemon.pid file, because you believe it should not need this access.
Then you should report this as a bug.  
You can generate a local policy module to dontaudit this access.
Do
# grep /usr/lib/nspluginwrapper/plugin-config /var/log/audit/audit.log | audit2allow -D -M mypol
# semodule -i mypol.pp

*****  Plugin catchall (14.7 confidence) suggests  ***************************

If you believe that plugin-config should be allowed read write access on the aliceDaemon.pid file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep plugin-config /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:mozilla_plugin_config_t:
                              s0-s0:c0.c1023
Target Context                unconfined_u:object_r:var_run_t:s0
Target Objects                /run/aliceDaemon.pid [ file ]
Source                        plugin-config
Source Path                   /usr/lib/nspluginwrapper/plugin-config
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           nspluginwrapper-1.4.4-17.fc19.i686
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-66.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.10.3-300.fc19.i686 #1 SMP Fri
                              Jul 26 00:22:19 UTC 2013 i686 i686
Alert Count                   6
First Seen                    2013-07-30 19:41:24 IST
Last Seen                     2013-08-01 09:00:04 IST
Local ID                      f84987ab-e125-40ab-b5d9-a2bcd6f54fcd

Raw Audit Messages
type=AVC msg=audit(1375327804.837:423): avc:  denied  { read write } for  pid=3067 comm="plugin-config" path="/run/aliceDaemon.pid" dev="tmpfs" ino=25942 scontext=unconfined_u:unconfined_r:mozilla_plugin_config_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:var_run_t:s0 tclass=file


type=AVC msg=audit(1375327804.837:423): avc:  denied  { read write } for  pid=3067 comm="plugin-config" path="/dev/ttyUSB1" dev="devtmpfs" ino=39449 scontext=unconfined_u:unconfined_r:mozilla_plugin_config_t:s0-s0:c0.c1023 tcontext=system_u:object_r:usbtty_device_t:s0 tclass=chr_file


type=AVC msg=audit(1375327804.837:423): avc:  denied  { read write } for  pid=3067 comm="plugin-config" path="/dev/ttyUSB1" dev="devtmpfs" ino=39449 scontext=unconfined_u:unconfined_r:mozilla_plugin_config_t:s0-s0:c0.c1023 tcontext=system_u:object_r:usbtty_device_t:s0 tclass=chr_file


type=SYSCALL msg=audit(1375327804.837:423): arch=i386 syscall=execve success=yes exit=0 a0=83b50d8 a1=83b5610 a2=83b6308 a3=83b5610 items=0 ppid=3065 pid=3067 auid=1000 uid=1000 gid=1000 euid=0 suid=0 fsuid=0 egid=1000 sgid=1000 fsgid=1000 ses=1 tty=(none) comm=plugin-config exe=/usr/lib/nspluginwrapper/plugin-config subj=unconfined_u:unconfined_r:mozilla_plugin_config_t:s0-s0:c0.c1023 key=(null)

Hash: plugin-config,mozilla_plugin_config_t,var_run_t,file,read,write

Additional info:
reporter:       libreport-2.1.5
hashmarkername: setroubleshoot
kernel:         3.10.3-300.fc19.i686
type:           libreport
Comment 1 Daniel Walsh 2013-08-01 11:52:54 EDT
What plugin were you using, 
looks like firefox is leaking open file descriptors to /run/aliceDaemon.pid?

Note You need to log in before you can comment on or make changes to this bug.